Package com.google.android.exoplayer2.trackselection

## Class DefaultTrackSelector.OtherTrackScore

- java.lang.Object
- - com.google.android.exoplayer2.trackselection.DefaultTrackSelector.OtherTrackScore

- All Implemented Interfaces:
    `Comparable<DefaultTrackSelector.OtherTrackScore>`
  Enclosing class:
    DefaultTrackSelector

      protected static final class DefaultTrackSelector.OtherTrackScore
      extends Object
      implements Comparable<DefaultTrackSelector.OtherTrackScore>

  Represents how well any other track (non video, audio or text) matches the selection `DefaultTrackSelector.Parameters`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtherTrackScore​(Format format, int trackFormatSupport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(DefaultTrackSelector.OtherTrackScore other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherTrackScore

          public OtherTrackScore​(Format format,
                                 @Capabilities
                                 int trackFormatSupport)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(DefaultTrackSelector.OtherTrackScore other)

      Specified by:
        `compareTo` in interface `Comparable<DefaultTrackSelector.OtherTrackScore>`